
const useNotificationAudio = (sonido:number) => {

    const soundFile = `${process.env.ASSET_PREFIX}/audio/${sonido}/notify.ogg`;

    // Función para reproducir el sonido de notificación
    const playNotificationSound = () => {
        // Crea una instancia de Audio con la ruta del archivo de sonido
        const notificationSound = new Audio(soundFile);
        // Reinicia el audio para volver a reproducir desde el principio
        notificationSound.currentTime = 0;
        try {
            // Reproduce el sonido
            notificationSound.play();
        } catch (error) {
            
        }
    };

    const playNotificationSoundInit = () => {
        // Crea una instancia de AudioContext
        const audioContext = new (window.AudioContext || (window as any).webkitAudioContext)();
        //const audioContext = new (window.AudioContext || window.webkitAudioContext)();
        // Carga el archivo de sonido
        const audioElement = new Audio(soundFile);
        const source = audioContext.createMediaElementSource(audioElement);
        source.connect(audioContext.destination);
        // Reproduce el sonido
        audioElement.play();
    };

    return {
        playNotificationSound,
    }
}

export default useNotificationAudio